> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1useravatar



## OpenAPI

````yaml /api-reference/openapi.json put /v1/user/avatar
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/user/avatar:
    put:
      tags:
        - Avatar
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                AltText:
                  type: string
                FileName:
                  type: string
                ContentType:
                  type: string
                Stream.CanRead:
                  type: boolean
                Stream.CanWrite:
                  type: boolean
                Stream.CanSeek:
                  type: boolean
                Stream.CanTimeout:
                  type: boolean
                Stream.Length:
                  type: integer
                  format: int64
                Stream.Position:
                  type: integer
                  format: int64
                Stream.ReadTimeout:
                  type: integer
                  format: int32
                Stream.WriteTimeout:
                  type: integer
                  format: int32
                Base64:
                  type: string
                Url:
                  type: string
                file:
                  type: string
                  format: binary
                Note:
                  type: string
            encoding:
              AltText:
                style: form
              FileName:
                style: form
              ContentType:
                style: form
              Stream.CanRead:
                style: form
              Stream.CanWrite:
                style: form
              Stream.CanSeek:
                style: form
              Stream.CanTimeout:
                style: form
              Stream.Length:
                style: form
              Stream.Position:
                style: form
              Stream.ReadTimeout:
                style: form
              Stream.WriteTimeout:
                style: form
              Base64:
                style: form
              Url:
                style: form
              file:
                style: form
              Note:
                style: form
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ImagesSBImageResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ImagesSBImageResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ImagesSBImageResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ImagesSBImageResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        url:
          type: string
          nullable: true
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
        altText:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````